package com.tmerclub.cloud.product.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;

/**
 * 对应MongoDB存储出入库日志emp
 *
 * @author track
 */
@Document("spu_comm")
public class MongoSpuCommStatisticsVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "好评率")
    private Double positiveRating;

    @Schema(description = "评论数量")
    private Integer number;

    @Schema(description = "好评数")
    private Integer praiseNumber;

    @Schema(description = "中评数")
    private Integer secondaryNumber;

    @Schema(description = "差评数")
    private Integer negativeNumber;

    @Schema(description = "有图数")
    private Integer picNumber;

    @Schema(description = "五星")
    private Integer fiveStarsNumber;

    @Schema(description = "四星")
    private Integer fourStarsNumber;

    @Schema(description = "三星")
    private Integer threeStarsNumber;

    @Schema(description = "二星")
    private Integer twoStarsNumber;

    @Schema(description = "一星")
    private Integer oneStarsNumber;

    @Schema(description = "商品id")
    private Long spuId;

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Double getPositiveRating() {
        return positiveRating;
    }

    public void setPositiveRating(Double positiveRating) {
        this.positiveRating = positiveRating;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Integer getPraiseNumber() {
        return praiseNumber;
    }

    public void setPraiseNumber(Integer praiseNumber) {
        this.praiseNumber = praiseNumber;
    }

    public Integer getSecondaryNumber() {
        return secondaryNumber;
    }

    public void setSecondaryNumber(Integer secondaryNumber) {
        this.secondaryNumber = secondaryNumber;
    }

    public Integer getNegativeNumber() {
        return negativeNumber;
    }

    public void setNegativeNumber(Integer negativeNumber) {
        this.negativeNumber = negativeNumber;
    }

    public Integer getPicNumber() {
        return picNumber;
    }

    public void setPicNumber(Integer picNumber) {
        this.picNumber = picNumber;
    }

    public Integer getFiveStarsNumber() {
        return fiveStarsNumber;
    }

    public void setFiveStarsNumber(Integer fiveStarsNumber) {
        this.fiveStarsNumber = fiveStarsNumber;
    }

    public Integer getFourStarsNumber() {
        return fourStarsNumber;
    }

    public void setFourStarsNumber(Integer fourStarsNumber) {
        this.fourStarsNumber = fourStarsNumber;
    }

    public Integer getThreeStarsNumber() {
        return threeStarsNumber;
    }

    public void setThreeStarsNumber(Integer threeStarsNumber) {
        this.threeStarsNumber = threeStarsNumber;
    }

    public Integer getTwoStarsNumber() {
        return twoStarsNumber;
    }

    public void setTwoStarsNumber(Integer twoStarsNumber) {
        this.twoStarsNumber = twoStarsNumber;
    }

    public Integer getOneStarsNumber() {
        return oneStarsNumber;
    }

    public void setOneStarsNumber(Integer oneStarsNumber) {
        this.oneStarsNumber = oneStarsNumber;
    }

    @Override
    public String toString() {
        return "MongoSpuCommStatisticsVO{" +
                "positiveRating=" + positiveRating +
                ", number=" + number +
                ", praiseNumber=" + praiseNumber +
                ", secondaryNumber=" + secondaryNumber +
                ", negativeNumber=" + negativeNumber +
                ", picNumber=" + picNumber +
                ", fiveStarsNumber=" + fiveStarsNumber +
                ", fourStarsNumber=" + fourStarsNumber +
                ", threeStarsNumber=" + threeStarsNumber +
                ", twoStarsNumber=" + twoStarsNumber +
                ", oneStarsNumber=" + oneStarsNumber +
                ", spuId=" + spuId +
                '}';
    }
}
